Output a gz-file

- « ob_gzhandler

- zlib_decode »

- PHP Manual
- Zlib Functions
- Output a gz-file

# readgzfile

(PHP 4, PHP 5, PHP 7, PHP 8)

readgzfile — Output a gz-file

### Description

readgzfile(string `$filename`, int `$use_include_path` = 0): int|false

Reads a file, decompresses it and writes it to standard output.

readgzfile() can be used to read a file which is not in gzip format; in this case readgzfile() will directly read from the file without decompression.

### Parameters

`filename`

  The file name. This file will be opened from the filesystem and its contents written to standard output.

`use_include_path`

  You can set this optional parameter to `1`, if you want to search for the file in the include_path too.

### Return Values

Returns the number of (uncompressed) bytes read from the file on success, or `false` on failure

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### See Also

- gzpassthru() - Output all remaining data on a gz-file pointer
- gzfile() - Read entire gz-file into an array
- gzopen() - Open gz-file